#!perl -w
#!/usr/bin/perl -w

my $USE_ENGINE = 1;							# 1:mod_perl;  2:CGI/FastCGI/PerlEx

my $SITE_TITLE = 'X2 Games';
my $SITE = 'http://metaldoc.com/busycity/';		# must including trailing slash !   # leave blank if you want relative path
my $ADMIN_EMAIL = 'dns@cpan.org';				# your email
my $SCRIPT = 'admin.pl';							# script name, default: webscr.cgi / index.cgi (leave blank if your script is an index page)

my $SCRIPT_ABS_DIR = 'C:/www/BusyCity/';		# include trailing slash
my $EXT_LIB = $SCRIPT_ABS_DIR . 'perl/';
my $SKIN_REL_DIR = "themes/busycity/";		# include trailing slash (DON'T CHANGE, UNLESS YOU'RE KNOW WHAT YOU'RE DOING!)
my $DISPLAY = 1;
my $PAGE = 'admin.html';						# default page
my ($NODES, $CONTENT, $ERROR);

chdir $SCRIPT_ABS_DIR;
eval "use lib $EXT_LIB";
eval "use lib $SCRIPT_ABS_DIR";

use CGI qw/:standard :netscape/;
use CGI::Carp 'fatalsToBrowser';
use Template;
use strict;

$CGI::POST_MAX = 1024 * 10;				# max 10K posts
$CGI::DISABLE_UPLOADS = 1;					# no uploads

my $tt = Template->new('INCLUDE_PATH' => [$SKIN_REL_DIR, $SKIN_REL_DIR . '/admin'],
										#'COMPILE_DIR' => $new{-skindir} . '/temp',
										#'COMPILE_EXT' => '.ttc',
										#'CACHE_SIZE' => 64,			# only cache 64 compiled templates
										'EVAL_PERL' => 0),



# CGI param
my $q = param('q');	# query
my $c = param('c');	# cmd
my $p = param('p');	# page

if (defined $c) {
	load_node();
	my $i = 0;
	my $flag = 1;
	#for  ($i < 7) {
	#	if ($NODES->[$i]->{'name'} eq $c) { $flag =1; last; }
	#	$i++;
	#}
	if ($flag == 1) {
		read_node($c);
	} else {
		die "page not found\n";
	}
} else {
	load_node();
	read_node('home');
}

&send_response;



# SUB ROUTINES

sub read_node {
	my $file = $_[0] . '.txt';
	open FH, "data/$file" or die $!;
	$CONTENT = join '', <FH>;
	close FH;
}

sub load_node {
	open FH, "nodes.txt" or die $!;
	my $raw = join '', <FH>;
	close FH;
	my @raw_nodes = split "\n", $raw;
	my $i = 0;
	for my $z (@raw_nodes) {
		my ($x, $y) = split ' = ', $z;
		$NODES->[$i]->{'name'} = $x;
		$NODES->[$i]->{'title'} = $y;
		$i++;
	}
}


sub send_response {
	my $vars = {
		'content'	=> $CONTENT,
		'page'		=> $PAGE,
		'nodes'		=> $NODES,
		'error'		=> $ERROR,
		'site_title'	=> $SITE_TITLE,
		'site'		=> $SITE,
		'skin_path'	=> $SKIN_REL_DIR,
		'admin_email'	=> $ADMIN_EMAIL,
		'script'	=> $SCRIPT,
	};
	if ($DISPLAY == 1) {
		print header('-x-powered-by' => 'Perl/5.8.8');
		$tt->process($PAGE, $vars) or die($tt->error);
	} else {
		print header('-x-powered-by' => 'Perl/5.8.8');
		die "No Display\n";
	}
}


#print header('-x-powered-by' => 'Perl/5.8.7');




