package Haste::Controller::Sample;

use strict;
use warnings;

=head1 NAME

Haste::Controller::Sample -- Sample MiniMVC controller

=head1 DESCRIPTION

This controller handles the sample/ part of the website.

=head1 METHODS

=head2 default()

This is called when someone goes to http://example.com/sample/

=cut

sub default {
    my ($self, $m, @args) = @_;
    $m->notes("title", "Haste: Sample Controller");
    $m->comp("view/sample/default.mhtml");
}

1;
