

###################################


package Cobalt;

use Cobalt::Request;
use Cobalt::Response;

#use Cobalt::Model;
#use Cobalt::View;
#use Cobalt::Controller;

#use CGI;
#use CGI::Carp 'fatalsToBrowser';
#use Carp 'croak';
#use warnings;
use strict;


sub new {
	my $class = shift;
	my %new = @_;
	my $self = {
		'_default' => undef,
		'_handler' => {},
		'error_handler' => {},
		'_response' => Cobalt::Response->new(),
		'_request' => Cobalt::Request->new(),
	};
	return bless $self, $class;
}


sub run {
	my $self = shift;
	my $mod = shift;
	print $mod;
	#my $o = $mod->new();
}

sub response {
	my $self = shift;
	return $self->{_response};
}

sub request {
	my $self = shift;
	return $self->{_request};
}


sub default_handler {
	my $self = shift;
	$self->{_default} = $_[0];
}

sub error_handler {
	my $self = shift;
	$self->{_error} = $_[0];
}

sub register_handler {
	my $self = shift;
	$self->{_handler}->{$_[0]}->{$_[1]} = $_[2];
}

sub dispatch {
	my $self = shift;
	my $action = $self->request->getParameter($_[0]);
	if (defined $self->{_handler}->{$_[0]}->{$action}) {
		my $mod = $self->{_handler}->{$_[0]}->{$action};
		#$mod =~ s/\:\:/\//g;
		#$mod .= '.pm';
		#require $mod;
		#print $mod;
		#require MyApp::cmd::view;
		#require 'MyApp/cmd/view.pm';
		$self->{_handler}->{$_[0]}->{$action};
		#$self->{_handler}->{$_[0]}->{$action}->run();
		#print "ok";
	} else {
		print "Error: action";
	}
	
}

1;




