

CREATE TABLE author(
name		varchar(30) not null,
email		varchar(70),
www		varchar(70),
description	text,
primary key (name)
);

CREATE TABLE friends(
name		varchar(30) not null,
email		varchar(70),
www		varchar(70),
primary key (name)
);

CREATE TABLE topic(
tid		bigint unsigned auto_increment not null,
categ		varchar(20),
poster		varchar(25),
tdate		varchar(20),
title		tinytext,
msg		text,
primary key (tid)
);


CREATE TABLE journal(
jid		bigint unsigned auto_increment not null,
poster		varchar(25),
jdate		varchar(20),
title		tinytext not null,
msg		text not null,
primary key (jid)
);

CREATE TABLE category(
categ varchar(20)
);


CREATE TABLE comments(
cid		bigint unsigned auto_increment not null,
tid		bigint unsigned,
categ		varchar(20),
ctime		varchar(20),
title		tinytext not null,
poster		varchar(25),
email		varchar(70),
www		varchar(70),
msg		text not null,
ip_addr		varchar(15),
primary key (cid)
);



CREATE TABLE spamers(
ip		varchar(15) not null,
stime		varchar(20) not null
);

INSERT INTO author (name) VALUES ('Daniels');

INSERT INTO category (categ) VALUES ('Perl');

INSERT INTO topic (tid, categ, poster, tdate, title, msg) VALUES (
1, 'Perl', 'Daniels', '4 04 2007', 'Perl 6 for Real', 'Yeah, Perl 6 Rockz');

