#!perl -w

use CGI qw/:standard/;
use CGI::Carp qw/fatalsToBrowser/;
use DBI;

our $admin = 'daniels';
our $dbh = DBI->connect("DBI:SQLite:blogdoor.db.pod", '', '') || die $DBI::errstr;


if(param('q')){
	if (param('q') eq 'newcategory'){
		if(param('postnewcategory')){
			&new_category;
		} else {
			print header, <<'HTML';
<html>
<body>
<a href="./admin.pl">Post a new Topic</a>&nbsp; &nbsp; 
<a href="./admin.pl?q=newcategory">Create Category</a>
<br />
<form method="POST" action="admin.pl">
	<p>Create new category :&nbsp;&nbsp;
	<input type="text" name="postnewcategory" size="20"></p>
	<input type="hidden" name="q" value="newcategory">
	<p><input type="submit" value="Submit" name="B1">&nbsp;&nbsp;
	<input type="reset" value="Reset" name="B2"></p>
</form>
</body>
</html>
HTML
		}
	} elsif ((param('q') eq 'newtopic') && param('title') && param('category') && param('msg') ){
		&post;
	} else {
		print header, &default_page(&category_list);
	}
} else {
	print header, &default_page(&category_list);
}


sub post{
	my $category = escapeHTML param('category');
	my $newtopic = escapeHTML param('q');
	my $title = escapeHTML param('title');
	my $msg = escapeHTML param('msg');
	my $post_date = join ' ', &time_now;
	my $count;
	my $sth = $dbh->prepare("SELECT tid FROM topic ORDER BY tid DESC LIMIT 0, 1;") or die $DBI::errstr;
	$sth->execute;
	
	while (my $data = $sth->fetchrow_hashref){
		$count = $data->{'tid'};
		$count++;
		last;
	}
	
	$dbh->do("
	INSERT INTO topic (tid, categ, poster, tdate, title, msg) VALUES (
	$count, '$category', 'admin', '$post_date', '$title', '$msg');
	");
	
	print header, "<br><h2>Posted !!</h2><hr />", &default_page(&category_list);
}


sub category_list{
	my $test;
	my @category;
	
	$sth = $dbh->prepare(" SELECT categ FROM category; ");
	$sth->execute;
	while (my $data = $sth->fetchrow_hashref){
		push @category, $data->{'categ'};
	}
	
	foreach my $i(@category){
		$test .= '<option>'. $i. '</option>';
	}
	$test;
}


sub new_category{
	my $postnewcategory = escapeHTML(param('postnewcategory'));
	
	$dbh->do("INSERT INTO category (categ) VALUES ('$postnewcategory');") or die $DBI::errstr;
	
	print header, "<h1>New category `$postnewcategory` successfully created !!</h1>", &default_page(&category_list);
}

sub default_page{
	return <<HTML;
<html>

<head>
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 5.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<title>BlogDoor Control Panel</title>
</head>

<body>

<a href="./admin.pl">Post a new Topic</a>&nbsp; &nbsp; 
<a href="./admin.pl?q=newcategory">Create Category</a>
<br />

<form method="POST" enctype="multipart/form-data" action="admin.pl">
  <p>Title: <input type="text" name="title" size="20"></p>
  <p>Category: <select size="1" name="category">

<!--CATEGORIES HERE-->

$_[0]


  </select>
  </p>
  <p>Picture: <input type="file" name="picture" size="20"></p>
  <p>Message: <textarea rows="9" name="msg" cols="34"></textarea></p>
  <p><input type="hidden" name="q" value="newtopic"></p>
  <p>&nbsp;</p>
  <p><input type="submit" value="Submit" name="B1"><input type="reset" value="Reset" name="B2"></p>
</form>

</body>

</html>
HTML

}




sub time_now{
	my @dates = localtime;
	my @months = qw/January February March April Mei June July August September October November December/;
	my $sec = $dates[0];
	my $min = $dates[1];
	my $hour = $dates[2];
	my $date = $dates[3];
	my $month = $dates[4] + 1;
	my $year = $dates[5] + 1900;
	($sec = '0' . $sec) if length $sec == 1;
	($min = '0' . $min) if length $min == 1;
	($hour = '0' . $hour) if length $hour == 1;
	$date, $month, $year, $hour, $min, $sec;			# magic
}



END { $dbh->disconnect }




