


use Data::Dumper;
$Data::Dumper::Indent = 2;


$foo = {
	'title' => "Mafias",
	'desc' => 'lorem ipsum',
	'date' => '27/04/2009',
};

#print Data::Dumper->Dump([$foo], [qw(story)]);

print "<%init>\n";
print Data::Dumper->Dump([$foo], [qw(story)]);
print "return \$story;\n";
print "</%init>\n";




# simple procedural interface
#  print Dumper($foo);



=a$d = Data::Dumper->new([$foo], [qw(hoo)]);
$d->Purity(1)->Terse(1)->Deepcopy(1);
eval $d->Dump;
print $hoo;
=cut


__END__
    # extended usage with names
    print Data::Dumper->Dump([$foo, $bar], [qw(foo *ary)]);

    # configuration variables
    {
      local $Data::Dumper::Purity = 1;
      eval Data::Dumper->Dump([$foo, $bar], [qw(foo *ary)]);
    }

    # OO usage
    $d = Data::Dumper->new([$foo, $bar], [qw(foo *ary)]);
#       ...
    print $d->Dump;
#       ...
    $d->Purity(1)->Terse(1)->Deepcopy(1);
    eval $d->Dump;


